Bug 1474268 - RHVH host displays "upgrade available" information on the engine after registering until an update is released
Summary: RHVH host displays "upgrade available" information on the engine after regist...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.1.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Ryan Barry
QA Contact: Yihui Zhao
URL:
Whiteboard:
: 1491936 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 09:25 UTC by Yihui Zhao
Modified: 2021-03-11 16:54 UTC (History)
15 users (show)

Fixed In Version: redhat-virtualization-host-4.1-20170908.1
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-05-15 17:57:40 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
engine_host.png (28.14 KB, image/png)
2017-07-24 09:25 UTC, Yihui Zhao
no flags Details
sosreport,/var/log/*,engine_log (12.36 MB, application/x-bzip)
2017-07-24 09:31 UTC, Yihui Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3377241 0 None None None 2018-03-11 03:35:07 UTC
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC

Description Yihui Zhao 2017-07-24 09:25:35 UTC
Created attachment 1303538 [details]
engine_host.png

Description of problem:
The latest RHVH host display the "upgrade available" information on the engine after deploying HostedEngine successfully.

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20170721.0
cockpit-ovirt-dashboard-0.10.7-0.0.21.el7ev.noarch
ovirt-hosted-engine-ha-2.1.4-1.el7ev.noarch
ovirt-hosted-engine-setup-2.1.3.4-1.el7ev.noarch
rhvm-appliance-4.1.20170709.3-1.el7.noarch


How reproducible:
100%

Steps to Reproduce:
1. Clean install redhat-virtualization-host-4.1-20170721.0
2. Login to Cockpit
3. Deploy HostedEngine step by step
4. Login to the engine to check the host status

Actual results:
1. After step 4, engine displays the "upgrade available" information with the latest RHVH build after deploying the HostedEngine successfully.

Expected results:
1. After step 4, engine don't display the "upgrade available" information with the latest RHVH build after deploying the HostedEngine successfully.

Additional info:

Comment 1 Yihui Zhao 2017-07-24 09:31:17 UTC
Created attachment 1303539 [details]
sosreport,/var/log/*,engine_log

Comment 2 Ryan Barry 2017-07-24 11:58:36 UTC
I can't reproduce this, Can you provide access to a test system, please? No RHVM access is needed -- just the RHVH host.

Comment 4 Ryan Barry 2017-07-25 02:15:16 UTC
Thanks -- I'll look on the morning

This should have nothing to do with hosted engine, and everything to do with the repos on the hosts, but a reproducer will help a lot

Comment 7 Ryan Barry 2017-07-27 00:12:19 UTC
I reproduced this with a normal RHVM instance and a yum repo.

However, this is not a new bug -- 0706 (for example) can also be updated to 0522 if that is the only package in the repo.

This can be solved with 

Conflicts: redhat-virtualization-host-image-update-placeholder > ${release_version}

In the specfile for the image

Deferring to 4.1.5, since it's not a regression

Comment 9 Ryan Barry 2017-09-13 17:38:24 UTC
After some additional testing, this is an incomplete fix.

As long as older versions of RHVH which do not obsolete are present in the channel, the update presents anyway. We'll also need to make redhat-virtualization-host-image-update-placeholder obsolete for a complete fix.

Retargeting...

Comment 11 Germano Veit Michel 2017-09-18 22:54:21 UTC
*** Bug 1491936 has been marked as a duplicate of this bug. ***

Comment 13 Yihui Zhao 2017-12-11 06:03:32 UTC
Cannot meet this issue.

Test version:
rhvh-4.2.0.5-0.20171207.0+1
cockpit-ovirt-dashboard-0.11.1-0.6.el7ev.noarch  
imgbased-1.0.4-0.1.el7ev.noarch
ovirt-hosted-engine-ha-2.2.0-1.el7ev.noarch
ovirt-hosted-engine-setup-2.2.0-2.el7ev.noarch
rhvm-appliance-4.2-20171207.0.el7.noarch

Test steps:
1. Clean install rhvh-4.2.0.5-0.20171207.0+1
2. Login to Cockpit
3. Deploy HostedEngine step by step
4. Login to the engine to check the host status

Test result:
After step 4, engine don't display the "upgrade available" information with the latest RHVH build after deploying the HostedEngine successfully.

So, change this bug's status to verified.

Comment 15 Germano Veit Michel 2018-01-15 06:25:49 UTC
Ryan, the field "Fixed in Version: redhat-virtualization-host-4.1-20170908.1" seems incorrect. 

Could you confirm the correct one? Is this going to 4.1.z?

Thank you

Comment 20 Yihui Zhao 2018-04-24 03:24:59 UTC
This bug is fixed in rhvh-4.2.2.1-0.20180420.0

Moving to verified.

Comment 23 errata-xmlrpc 2018-05-15 17:57:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 24 Franta Kust 2019-05-16 13:09:17 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.